org.apache.ignite.internal.processors.odbc

## Class OdbcQueryGetParamsMetaRequest

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.OdbcRequest
  - - org.apache.ignite.internal.processors.odbc.OdbcQueryGetParamsMetaRequest

    public class OdbcQueryGetParamsMetaRequest
    extends OdbcRequest

ODBC query get params meta request.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.odbc.OdbcRequest

`CLOSE_SQL_QUERY, EXECUTE_SQL_QUERY, FETCH_SQL_QUERY, GET_COLUMNS_META, GET_PARAMS_META, GET_TABLES_META, HANDSHAKE`

### Constructor Summary

Constructors
Constructor and Description
`OdbcQueryGetParamsMetaRequest(String cacheName, String query)`

### Method Summary

Methods
`String` `cacheName()`
`String` `query()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.processors.odbc.OdbcRequest

`command`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### OdbcQueryGetParamsMetaRequest

    public OdbcQueryGetParamsMetaRequest(String cacheName,
                                 String query)

Parameters:
  `query` - SQL Query.

### Method Detail

#### query

    public String query()

Returns:
  SQL Query.

#### cacheName

    public String cacheName()

Returns:
  Cache name.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017